import boto3
import os.path

# Arguments
folder_to_sync = './test/data/'
bucket_target = 'my-bucket'

# Main
s3 = boto3.client('s3', use_ssl=False, endpoint_url="http://172.17.0.2:9000", aws_access_key_id="minio", aws_secret_access_key="miniokey")

# Get file list
# Source : https://stackoverflow.com/questions/3207219/how-do-i-list-all-files-of-a-directory
listOfFiles = [f for f in os.listdir(folder_to_sync) if os.path.isfile(folder_to_sync + f)]
print("Local : ", folder_to_sync)
print(listOfFiles)

# Upload
print("Uploading ...")
for f in listOfFiles:
    print(f)
    res = s3.upload_file(folder_to_sync + f, bucket_target, f)

print("Done")

